<html><head>
    <meta http-equiv="Content-Type" content="text/html; charset=utf-8">
    <title>avireadframe</title>
    <style type="text/css" media="all">
      @import url("scilab_code.css");
      @import url("xml_code.css");
      @import url("c_code.css");
      @import url("style.css");
    </style>
  </head>
  <body>
    <div class="manualnavbar">
    <table width="100%"><tr>
      <td width="30%">
    	<span class="previous"><a href="aviopen.html">&lt;&lt; aviopen</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="camopen.html">camopen &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>



    <span class="path"><a href="index.html">IPCV - Image Processing and Computer Vision Toolbox for Scilab</a> &gt;&gt; <a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a> &gt; avireadframe</span>

    <br /><br />
    <div class="refnamediv"><h1 class="refname">avireadframe</h1>
    <p class="refpurpose">Grabs and returns a frame from a opened video file or camera (experimental)</p></div>


<div class="refsynopsisdiv"><h3 class="title">Syntax</h3>
   <div class="synopsis"><pre><span class="default">im</span><span class="default"> = </span><span class="functionid">avireadframe</span><span class="default">(</span><span class="default">n</span><span class="default">)</span></pre></div></div>

<div class="refsection"><h3 class="title">Parameters</h3>
   <dl><dt><span class="term">n :</span>
      <dd><p class="para">The opened video file/camera index.</p></dd></dt>
   <dt><span class="term">im :</span>
      <dd><p class="para">The returned frame/image. If no frame, return 0.</p></dd></dt></dl></div>

<div class="refsection"><h3 class="title">Description</h3>
   <p class="para">avireadframe grabs and returns a frame from an opened video file or camera. It can only get the current frame and move to the pointer to the next frame.</p>
   <p class="para">Video support for IPCV is only available when IPCV is compiled with OpenCV which support video I/O.</p>
   <p class="para"></p></div>

<div class="refsection"><h3 class="title">Examples</h3>
   <div class="programlisting"><table border="0" width="100%"><tr><td width="98%"><pre class="scilabcode"><span class="scilabid">n</span> <span class="scilaboperator">=</span> <span class="scilabid">aviopen</span><span class="scilabopenclose">(</span><a class="scilabcommand" href="scilab://fullpath">fullpath</a><span class="scilabopenclose">(</span><span class="scilabid">getIPCVpath</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span> <span class="scilaboperator">+</span> <span class="scilabstring">&#0034;</span><span class="scilabstring">/images/video.avi</span><span class="scilabstring">&#0034;</span><span class="scilabopenclose">)</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>
<span class="scilabid">im</span> <span class="scilaboperator">=</span> <span class="scilabid">avireadframe</span><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span> <span class="scilabcomment">//get a frame</span>
<span class="scilabid">imshow</span><span class="scilabopenclose">(</span><span class="scilabid">im</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span>

<span class="scilabid">avilistopened</span><span class="scilabopenclose">(</span><span class="scilabopenclose">)</span>
<span class="scilabid">aviclose</span><span class="scilabopenclose">(</span><span class="scilabid">n</span><span class="scilabopenclose">)</span><span class="scilabdefault">;</span></pre></td><td valign="top"><a href="scilab://scilab.execexample/"><img src="ScilabExecute.png" border="0"/></a></td><td valign="top"><a href="scilab://scilab.editexample/"><img src="ScilabEdit.png" border="0"/></a></td><td></td></tr></table></div></div>

<div class="refsection"><h3 class="title">See also</h3>
   <ul class="itemizedlist"><li class="member"><a href="scilab://aviinfo" class="link">aviinfo</a></li>
   <li class="member"><a href="aviopen.html" class="link">aviopen</a></li>
   <li class="member"><a href="camopen.html" class="link">camopen</a></li>
   <li class="member"><a href="avifile.html" class="link">avifile</a></li>
   <li class="member"><a href="addframe.html" class="link">addframe</a></li>
   <li class="member"><a href="aviclose.html" class="link">aviclose</a></li>
   <li class="member"><a href="avicloseall.html" class="link">avicloseall</a></li>
   <li class="member"><a href="avilistopened.html" class="link">avilistopened</a></li></ul></div>

<div class="refsection"><h3 class="title">Authors</h3>
   <ul class="itemizedlist"><li class="member">Shiqi Yu</li>
   <li class="member">Tan Chin Luh</li></ul></div>
    <br />

    <div class="manualnavbar">
    <table width="100%">
    <tr><td colspan="3" class="next"><a href="http://bugzilla.scilab.org/enter_bug.cgi?product=Scilab%20software&component=Documentation%20pages" class="ulink">Report an issue</a></td></tr>
<tr>
      <td width="30%">
    	<span class="previous"><a href="aviopen.html">&lt;&lt; aviopen</a></span>

      </td>
      <td width="40%" class="center">
      	<span class="top"><a href="section_ca80954213d07446b5a945dc2733d9ae.html">Video Handling</a></span>

      </td>
      <td width="30%" class="next">
      	<span class="next"><a href="camopen.html">camopen &gt;&gt;</a></span>

      </td>
    </tr></table>
      <hr />
    </div>
  </body>
</html>
